## org.eclipse.ocl.types.operations
Class VoidTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.VoidTypeOperations

    public class VoidTypeOperations

extends Object

A static utility class that provides operations related to 'Void Type' model objects.

Since:
  1.3

  The following operations are supported:

  - `Get Name`
  - `Ocl Operations`

Constructor Summary
`protected` `VoidTypeOperations()`

Method Summary

`static

`<O> String`

`

`getName(VoidType<O> voidType)`

`static

`<O> EList<O>`

`

`oclOperations(VoidType<O> voidType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VoidTypeOperations

    protected VoidTypeOperations()

Method Detail

### getName

    public static <O> String getName(VoidType<O> voidType)

### oclOperations

    public static <O> EList<O> oclOperations(VoidType<O> voidType)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.